package jp.co.timedia.project.om;

import jp.co.timedia.util.*;
import org.apache.turbine.om.*;
import org.apache.turbine.util.*;

public  class Item 
    extends jp.co.timedia.project.om.BaseItem
    implements Persistent {

    public String getDisplayName() {
	return StrUtil.toHtmlEntity(
	       StrUtil.forceUnicode(getName(), "EUC-JP"));
    }

    public void setName(RunData runData, String name) throws Exception {
        String value = runData.getParameters().get(name);
        if (value != null) {
	    setName(StrUtil.unicode2euc(value.trim()));
	}
    }

}
