package jp.co.timedia.project.om.test;

import java.io.*;
import java.util.*;
import junit.framework.*;
import jp.co.timedia.util.*;
import jp.co.timedia.project.om.*;

public class CompositionTest extends TestCase {

    TurbineStandaloneApp app = new TurbineStandaloneApp();

    public static void main(String[] args) {
        junit.textui.TestRunner.run(new TestSuite(CompositionTest.class));
    }
    public CompositionTest(String name) { super(name); }

    private static String NAME = "<test>";
    private static String DISPLAY = "&lt;test&gt;";

    public void testGetDisplayName() throws Exception {
	Item item = new Item();
	item.setName(NAME);
	item.save();
	Composition composition = new Composition();
	composition.setCompound(item.getId());
	composition.save();
	assertEquals(DISPLAY, composition.getCompoundDisplayName());
    }

}
